From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 29 May 2005<P>

Jon -- re Mitch Hedberg: sadly it's true.  Like George Carlin or Steven Wright, he was one of a unique group with the ability to see the world through cockeyed (or is it accurate?) glasses.  My personal fave was the "he loves me/loves me not" from the flower's POV:  "Ow!  That hurt!  Ow!!! That hurt as well!!  Damn, I could have told you I had an odd number of petals...he does not love you, and I am no longer pretty!"<BR>
<BR>
Tanq -- <a href="/blend/wv.cgi?id=2005.03.23.20.00.17301">Prêt à Porter</a> -- lovely, in case I neglected to mention when you posted it.
<HR>
From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 29 May 2005<P>

Misti.  I LOVED your Tongue poem.  I fell outa my chair.  Sooooo true
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 29 May 2005<P>

jennifer~ thanks u right most can relate don't u wish it was that easy 2 4get <BR>
and "i blame you" was so so beautiful<BR>
<BR>
b.k.~ sea of love short n sweet i like how u ended it<BR>
<BR>
~i'm just him~<BR>
  tru story 
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 29 May 2005<P>

naturalbornkillerblonde~ "words" was perfect i like the word play. Nice slide into the blender<BR>
<BR>
~i'm just him~<BR>
  tru story<BR>

<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 29 May 2005<P>

natural~<BR>
I love all your poems, but especially this one:<BR>
<a href="/blend/wv.cgi?id=2005.05.29.10.09.20347">words</a> <BR>
I've had many conversations with the men in my life along those lines, one as recently as yesterday. Words kill.
<HR>
From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 29 May 2005<P>

Misit, TY for the compliment.  It means a lot.  I used to write a little in HS but that was sooooo long ago.  I'm trying to find a way to release some of this anxt.  It's not flowing yet, but I'm trying.  I love this place and everyone's work.
<HR>
From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 29 May 2005<P>

Misti, TY for the compliment.  It means a lot.  I used to write a little in HS but that was sooooo long ago.  I'm trying to find a way to release some of this anxt.  It's not flowing yet, but I'm trying.  I love this place and everyone's work.
<HR>